Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ServiceInformation_var Class Reference

`#include <Services.h>`

Collaboration diagram for CORBA_ServiceInformation_var:

[legend]
List of all members.

## Public Methods
| CORBA_ServiceInformation_var (void)
| CORBA_ServiceInformation_var (CORBA_ServiceInformation *)
| CORBA_ServiceInformation_var (const CORBA_ServiceInformation_var &)
| ~CORBA_ServiceInformation_var (void)
CORBA_ServiceInformation_var & | operator= (CORBA_ServiceInformation *)
CORBA_ServiceInformation_var & | operator= (const CORBA_ServiceInformation_var &)
CORBA_ServiceInformation * | operator-> (void)
const CORBA_ServiceInformation * | operator-> (void) const
| operator const CORBA_ServiceInformation & () const
| in, inout, out, _retn. More...
| operator CORBA_ServiceInformation & ()
| operator CORBA_ServiceInformation & () const
const CORBA_ServiceInformation & | in (void) const
CORBA_ServiceInformation & | inout (void)
CORBA_ServiceInformation *& | out (void)
CORBA_ServiceInformation * | _retn (void)
CORBA_ServiceInformation * | ptr (void) const
## Private Attributes
CORBA_ServiceInformation * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ServiceInformation_var::CORBA_ServiceInformation_var | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation_var::CORBA_ServiceInformation_var | ( | CORBA_ServiceInformation * | p | ) |

ACE_INLINE CORBA_ServiceInformation_var::CORBA_ServiceInformation_var | ( | const CORBA_ServiceInformation_var & | p | ) |

ACE_INLINE CORBA_ServiceInformation_var::~CORBA_ServiceInformation_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_ServiceInformation * CORBA_ServiceInformation_var::_retn | ( | void |  | ) |

ACE_INLINE const CORBA_ServiceInformation & CORBA_ServiceInformation_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_ServiceInformation & CORBA_ServiceInformation_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation_var::operator const CORBA_ServiceInformation & | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_ServiceInformation_var::operator CORBA_ServiceInformation & | ( |  | ) | const

ACE_INLINE CORBA_ServiceInformation_var::operator CORBA_ServiceInformation & | ( |  | ) |

ACE_INLINE const CORBA_ServiceInformation * CORBA_ServiceInformation_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_ServiceInformation * CORBA_ServiceInformation_var::operator-> | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation_var & CORBA_ServiceInformation_var::operator= | ( | const CORBA_ServiceInformation_var & | p | ) |

ACE_INLINE CORBA_ServiceInformation_var & CORBA_ServiceInformation_var::operator= | ( | CORBA_ServiceInformation * | p | ) |

ACE_INLINE CORBA_ServiceInformation *& CORBA_ServiceInformation_var::out | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation * CORBA_ServiceInformation_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_ServiceInformation* CORBA_ServiceInformation_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Services.h
- Services.i